<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
	</head>

	<body>
		<div class="common_content_nav">您所在位置 > <a href="#">积分规则管理</a></div>
		<div class="common_content_title">积分规则管理</div>
		<div class="clearfix fenzuDetailed" style="margin-top:30px; overflow-y:auto ;margin:20px 0 0 30px;background:#FFF;">
			<form id="form-pointsConf" method="post">
				<!----------------- 查看页开始 -------------------->
				<ul id="points-rule-ul-detail">
					<!-- <li class="clearfix" style="display:none; *zoom:1; *display:inline;margin: 6px 0;">
						<span class="fl margintop8">功能状态:</span>
						<ul class="clearfix fl">
							<ol>
								<div class="inline_input">
									<span id="pointsConf-status-show">
									</span>
								</div>
							</ol>
						</ul>
					</li> -->
					<li class="clearfix" style="display:inline-block; *zoom:1; *display:inline;margin: 6px 0;">
						<div>
							<span><h1 style="font-size: 120%">获得积分</h1></span><br/><br/>
						</div>
						<div class="clearfix">
							<span class="fl margintop8" >积分有效期：</span>
							<span class="fl margintop8" id="pointsConf-invalidTimeType-show"></span>
						</div>
						<div class="clearfix" id="div-roll-show" style="display: none;">
							<span class="fl margintop8">滚动周期：</span>
							<span class="fl margintop8" id="dateTypeText-show"></span>
						</div>
						<div class="clearfix" id="div-clearDate-show" style="display: none;">
							<span class="fl margintop8">积分清理日：</span>
							<span class="fl margintop8" id="editCleanTime-show"></span>
						</div>
					</li>
					<!-- <li style="margin: 6px 0;">
						<hr style="height:1px;border:none;border-top:1px solid #CBD5CB;" />
					</li>
					<li class="clearfix" style="display:inline-block; *zoom:1; *display:inline;margin: 6px 0;">
						<span><h1 style="font-size: 120%">积分消耗</h1></span><br/><br/>
						<span class="fl margintop8" style="padding-top: 10px;text-align: right;">积分抵现：</span>
						<ul class="clearfix fl" style="margin-top: 10px;">
							<ol>
								<div class="inline_input">
									<span style="width:100%;" id="pointsRate-show">
									</span>
								</div>
							</ol> 
						</ul>
					</li> -->
					<li>
						<div class="common_content_btnList clearfix">
							<button id="editBtn" type="button" class="btn btn-success btn-block">编辑</button>
						</div>
					</li>
				</ul>
				<!----------------- 查看页结束 -------------------->
				
				
				<!----------------- 编辑页开始 -------------------->
				<ul id="points-rule-ul-edit" style="display:none;">
					<input name="isActive" type="hidden" value="Y" />
					<!-- <li class="clearfix" style="display:none; *zoom:1; *display:inline;margin: 6px 0;">
						<span class="fl margintop8">功能状态:</span>
						<ul class="clearfix fl">
							<ol>
								<div class="inline_input">
									<span>
										<input name="isActive" id="pointsOrcoupon_coupons" checked="checked" type="radio" value="Y" /> 开启
									</span>
									<span>
										<input name="isActive" id="pointsOrcoupon_points" type="radio" value="N" /> 关闭    
									</span>
								</div>
							</ol>
						</ul>
					</li> -->
					<li class="clearfix" style="display:inline-block; *zoom:1; *display:inline;margin: 6px 0;">
						<span><h1 style="font-size: 120%">获得积分</h1></span><br/><br/>
						<span class="fl margintop8" style="padding-top: 10px;">积分有效期：</span>
						<ul class="clearfix fl" style="margin-top: 10px;">
							<ol>
								<div class="inline_input">
									<span style="width:100%;">
										<input name="invalidTimeType" type="radio" value="1" /> 
										永久有效
									</span>
								</div>
							</ol>
							<ol>
								<div class="inline_input">
									<span style="width:100%;">
										<input name="invalidTimeType" type="radio" value="2" /> 
										滚动日期+固定日期
									</span>
								</div>
							</ol>
							<ol>
								<div class="inline_input">
									<span style="width:100%;">
										<input name="invalidTimeType" type="radio" value="3" /> 
										滚动日期
									</span>
								</div>
							</ol>
						</ul>
						<div style="width: 100%;display: inline-block;">
							<input type="hidden" name="invalidTimeValue" id="invalidTimeValue"  />
							<div id="rollDate">
								<span class="fl margintop8" style="padding-top: 10px;">滚动周期：</span>
								<div class="col-xs-1">
									<input type="text" class="form-control input70" id="timeValue"  data-options="required:false,length:'8',validType:'rtZero'">
								</div>
								<div class="col-xs-1" style="text-align: center; line-height: 35px;margin-left:45px;">
									/
								</div>
								<div id="div-yearMonthDay" style="display: none;">
									<select class="easyui-combobox" id="dateTypeText-day" style="width:60px;height:35px;" data-options="panelHeight:'auto'">
										<option value="1">年</option>
										<option value="2">月</option>
										<option value="3">日</option>
									</select>
								</div>
								<div id="div-yearMonth">
									<select class="easyui-combobox" id="dateTypeText" style="width:60px;height:35px;" data-options="panelHeight:'auto'">
										<option value="1">年</option>
										<option value="2">月</option>
									</select>
								</div>
							</div>
							<div id="cleanDate">
								<span class="fl margintop8" style="padding-top: 10px;">积分清理日：</span>
								<div class="col-xs-2" id="cleanTime_div1" >
											<input name=""  type="text" id="editCleanTime_md"  
											class="Wdate date_input" onFocus="WdatePicker({lang:'zh-cn',dateFmt: 'MM-dd'})" />
			
								</div>
								<div class="col-xs-2" id="cleanTime_div2" style="display:none">
											<input name=""  type="text" id="editCleanTime_ymd"  
											class="Wdate date_input" onFocus="WdatePicker({lang:'zh-cn',dateFmt: 'yyyy-MM-dd'})" />
								</div>
								<div class="col-xs-2" id="cleanTime_day" style="display:none">
									<select class="easyui-combobox" id="daySelect" style="width:60px;height:35px;" data-options="panelHeight:'135px'">
										<option value="01">01</option>
										<option value="02">02</option>
										<option value="03">03</option>
										<option value="04">04</option>
										<option value="05">05</option>
										<option value="06">06</option>
										<option value="07">07</option>
										<option value="08">08</option>
										<option value="09">09</option>
										<option value="10">10</option>
										<option value="11">11</option>
										<option value="12">12</option>
										<option value="13">13</option>
										<option value="14">14</option>
										<option value="15">15</option>
										<option value="16">16</option>
										<option value="17">17</option>
										<option value="18">18</option>
										<option value="19">19</option>
										<option value="20">20</option>
										<option value="21">21</option>
										<option value="22">22</option>
										<option value="23">23</option>
										<option value="24">24</option>
										<option value="25">25</option>
										<option value="26">26</option>
										<option value="27">27</option>
										<option value="28">28</option>
										<option value="29">29</option>
										<option value="30">30</option>
										<option value="31">31</option>
									</select>
								</div>
								
								
							</div>
						</div>
					</li>
					<!-- <li style="margin: 6px 0;">
						<hr style="height:1px;border:none;border-top:1px solid #CBD5CB;" />
					</li>
					<li class="clearfix" style="display:inline-block; *zoom:1; *display:inline;margin: 6px 0;">
						<span>
						<h1 style="font-size: 120%">积分消耗</h1></span><br/><br/>
						<span class="fl margintop8" style="padding-top: 10px;width: 105px;">
						<input type="checkbox" style="margin-right:2px;" id="discountIsActive" name="discountIsActive" value="Y"/>
						积分抵现：</span>
						<ul class="clearfix fl" style="margin-top: 10px;">
							<ol>
								<div class="inline_input">
									<span style="width:100%;">
										顾客消费时可用积分抵用现金，
										<input id="pointsRate" name="pointsRate" size="16" type="text" class="form-control input50" value="" data-options="required:false,length:'3',validType:'positiveInteger'">
									积分可抵用1元
									</span>
								</div>
							</ol> 
						</ul>
					</li> -->
					<li>
						<div class="common_content_btnList clearfix">
							<button id="saveBtn" type="button" class="btn btn-success btn-block">保存</button>
							<button id="backBtn" type="button" class="btn btn-block" style="width:120px;">返回</button>
						</div>
					</li>
				</ul>
				<!----------------- 编辑页结束 -------------------->
			</form>
		</div>
		<script type="text/javascript">
			$(function() {
				require(['pointsRuleManage'], function(re) {
					re.init();
				});
			});
		</script>
	</body>
</html>
